$('section')
	.last()
	.after('<section id="illustrationDirectory">');
	
var illustrationDirectory = $('#illustrationDirectory')
illustrationDirectory.append('<p><b>' + localization.lang.illustrationDirectory + '</b></p>');
illustrationDirectory.append('<ul>');
var list = illustrationDirectory.children('ul:first');

var figureNumbering = 1;

$.each($('img'), function()
{
	$this = $(this);
	
	if($this.attr('id') != 'printIconImage')
	{	
		var uuid = createUUID();
		$this.attr('id', uuid);
		var entrieText = createEntrieText(figureNumbering, $this);
		addEntrie(uuid, entrieText);
		addTextToFigure($this, entrieText);
	}
});

function createEntrieText(figureNumbering, img)
{
	var linkText = localization.lang.figureCaption + ' ' + figureNumbering++ + ' ';
	linkText += typeof img.attr('alt') == 'undefined' ? "" : img.attr('alt');
	return linkText;
}

function addEntrie(uuid, linkText)
{
	list.append('<li>');
	var newListElement = list.children('li:last');
	newListElement
		.append('<a class="illustrationXRef" href="#' + uuid + '">' + linkText + '</a>');
}

function addTextToFigure(img, text)
{
	img.wrap('<div class="contentImage">');
	img.after('<p>' + text + '</p>');
}